function draw(C, filename)
    close all;
    hold on;

    % original output
    dir = sprintf('./log_orig_C%s_parsed/', C);
    path = sprintf('%s%s', dir, filename);
    data_orig = load(path);

    % warm-start output
    dir = sprintf('./log_i5_C%s_parsed/', C);
    path = sprintf('%s%s', dir, filename);
    data = load(path);

    % warm-start output
    dir = sprintf('./log_i50_C%s_parsed/', C);
    path = sprintf('%s%s', dir, filename);
    data_i50 = load(path);

    % warm-start output
    dir = sprintf('./log_i500_C%s_parsed/', C);
    path = sprintf('%s%s', dir, filename);
    data_i500 = load(path);

    optimum = min(data_orig(length(data_orig), 1), data(length(data), 1));
    optimum = min(optimum, data_i50(length(data_i50), 1));
    optimum = min(optimum, data_i500(length(data_i500), 1));

    data_orig(:,1) = (data_orig(:,1) - optimum) / optimum;
    data(:,1) = (data(:,1) - optimum) / optimum;
    data_i50(:,1) = (data_i50(:,1) - optimum) / optimum;
    data_i500(:,1) = (data_i500(:,1) - optimum) / optimum;

    plot(data_orig(:,2),log10(abs(data_orig(:,1))), '-r', 'LineWidth', 4);
    plot(data(:,2),log10(abs(data(:,1))), '--b', 'LineWidth', 4);
    plot(data_i50(:,2),log10(abs(data_i50(:,1))), '-.k', 'LineWidth', 4);
    plot(data_i500(:,2),log10(abs(data_i500(:,1))), ':g', 'LineWidth', 6);

    LEG = legend(['no-warm-start'], ['warm-start-r5'], ['warm-start-r50'], ['warm-start-r500']);
    out = sprintf('./photo_C%s_eps/%s.eps', C, filename);
    XLA = xlabel('Training time (seconds)');
    ylim([-8 2])
    YLA = ylabel('Relative function value difference (log)');
    set(gca, 'FontSize', 18);
    set(LEG, 'FontSize', 24);
    set(XLA, 'FontSize', 24);
    set(YLA, 'FontSize', 24);
    saveas(gcf, out, 'epsc');
end
