#!/usr/bin/env python

import os
import sys
sys.path.insert(0, 'datasets/')
from data import *

train = '../liblinear-1.92-inc/train'
selected_solver = ["lr", "l2", "lrp", "l2p", "lrcdp", "l2cdp"]
r_range = [5, 50, 500]
c_range = [1, 128]

for data in dataset:
	for solver, n in solvers.items():
		for c in c_range:
			for r in r_range:
				log = 'log_i{0}_C{1}'.format(r, c)
				if len(selected_solver) != 0 and solver not in selected_solver:
					continue
				path = log
				if not os.path.exists(path):
					os.mkdir(path)
				path = log + '_parsed'
				if not os.path.exists(path):
					os.mkdir(path)
				cmd = '{0} -s {1} -c {2} -e 1e-6 -i {7} {3} /dev/null > {4}/{5}_{6}'.format(
					train,
					n,
					c,
					train_data[data],
					log,
					data,
					solver,
					r,
				)
				print(cmd)
				os.system(cmd)

for c in c_range:
	path = 'log_orig_C{0}_parsed'.format(c)
	if not os.path.exists(path):
		os.mkdir(path)
	path = 'photo_C{0}_eps'.format(c)
	if not os.path.exists(path):
		os.mkdir(path)

